VMotion logo
Please Login or Register
SALES: +353 61 503060 | sales@vmotionhost.com
SUPPORT: +353 61 503061 | support@vmotionhost.com

Portal Home > Knowledgebase > Idera R1Soft backup > Unable to install Idera R1soft CDP Enterprise Agent


Unable to install Idera R1soft CDP Enterprise Agent




If you are installing CDP Agent on Linux and following the link http://wiki.r1soft.com/display/CDP3/Installing+Agent+on+CentOS%2C+RHE+and+Fedora

Please follow the step 4.4 carefully.

You can see the error message below when running the command
 # r1soft-setup --get-module

Checking for binary module 
Waiting | 
No binary module found 
Gathering kernel information 
Gathering kernel information complete. 
Creating kernel headers package 
Checking '/lib/modules/2.6.18-448.4.1.el5.lve0.8.69/source/' for kernel headers 
Checking '/usr/src/kernels/2.6.18-448.4.1.el5.lve0.8.69-x86_64/' for kernel headers 
Checking '/lib/modules/2.6.18-448.4.1.el5.lve0.8.69/build/' for kernel headers 
Unable to find a valid source directory. 
Please install the kernel headers for your operating system.
===============================================================
Please check the kernel devel and kernel version are the same. If they are different you won't be able to compile CDP kernel module.

Please run the following commands to check what is wrong:

#uname -a
#uname -r
#rpm -qa |grep kernel ---using this command you can see the kernel devel and kernel 

version installed.
kernel-headers-2.6.18-448.16.1.el5.lve0.8.70
kernel-2.6.18-338.5.1.el5.lve0.8.29
kernel-2.6.18-448.4.1.el5.lve0.8.69
kernel-devel-2.6.18-448.16.1.el5.lve0.8.70
kernel-2.6.18-374.3.1.el5.lve0.8.44
kernel-devel-2.6.18-448.4.1.el5.lve0.8.69.1

kernel-devel and kernel-headers packages versions do not match the current kernel 

version (2.6.18-448.4.1.el5.lve0.8.69), they are currently at 2.6.18-448.16.1.el5.lve0.8.70. 

Try to install kernel devel, here is an example below.

#yum install kernel-devel-2.6.18-448.4.1.el5.lve0.8.69

Running Transaction
  Installing     : kernel-devel                                                      
 1/1
Error unpacking rpm package kernel-devel-2.6.18-448.4.1.el5.lve0.8.69.x86_64
error: unpacking of archive failed on file /usr/src/kernels/2.6.18-

448.4.1.el5.lve0.8.69-x86_64: cpio: stat

Failed:
  kernel-devel.x86_64 0:2.6.18-448.4.1.el5.lve0.8.69
========================================================
You can see that it is falied to install and throwing error cpio:stat.


So we need either upgrade the kernel to 2.6.18-448.16.1.el5.lve0.8.70 or install the 

appropriate kernel-headers and kernel-devel packages. Then install the module again
and everything should be OK.

If you are unable to resolve the issue please raise a ticket with support team.


Was this answer helpful?

Add to Favourites Add to Favourites    Print this Article Print this Article

Also Read


Funded by the European Globalisation Fund TRUSTe Privacy Policy
VMotion IT Solutions LTD®, registration number 489707, VAT number IE 9772534C. Copyright © 2010-2017 VMotion IT Solutions
Funded by the European Globalisation Fund